# Sexual Dimorphism Lanternfishes
library(ggplot2)

sex.dim.spread <- read.csv("Supp_Table_1.csv")
low_int <- read.csv("Low_int.csv")
Low_rar <- read.csv("Low_rara.csv")
Cte_Phe <- read.csv("Cte_phen.csv")
Tar_cren <- read.csv("Tar_cren.csv")
Tar_tay <- read.csv("Tar_tai.csv")
Low_ter <- read.csv("Low_ter.csv")


modelsize.len <- lm(sex.dim.spread$Left.Organ.length..mm. ~ sex.dim.spread$SL..mm.)
summary(modelsize.len)
plot(modelsize.len)


modelsize.Lam <- lm(Left.Organ.Lamellae ~ SL..mm., sex.dim.spread)

summary(modelsize.Lam)
plot(modelsize.Lam)

plot(sex.dim.spread$SL..mm., sex.dim.spread$Left.Organ.length..mm.)
abline(lm(Left.Organ.length..mm. ~ SL..mm., sex.dim.spread))

plot(sex.dim.spread$SL..mm., sex.dim.spread$Left.Organ.Lamellae)
abline(lm(Left.Organ.Lamellae ~ SL..mm., sex.dim.spread))


sex.dim.spread.nomalLow <- read.csv("Supp_Table_1_no_low_males.csv")
plot(sex.dim.spread.nomalLow$SL..mm., sex.dim.spread.nomalLow$Left.Organ.Lamellae)
abline(lm(Left.Organ.Lamellae ~ SL..mm., sex.dim.spread.nomalLow))

LM_model_noLowMales <- lm(Left.Organ.Lamellae ~ SL..mm., sex.dim.spread.nomalLow)
summary(LM_model_noLowMales)

summary(modelleftright.leng)
plot(sex.dim.spread$Left.Organ.length..mm., sex.dim.spread$Right.Organ.length..mm.)


modelsize.Len <- lm(Left.Organ.length..mm. ~ SL..mm., sex.dim.spread)
summary(modelsize.Len)
plot(modelsize.Len)


ggplot(sex.dim.spread, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Species, group = Species)) +
  geom_point() 

ggplot(sex.dim.spread, aes(x = SL..mm., y = Left.Organ.length..mm., color = Species, group = Species)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

ggplot(sex.dim.spread, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Species, group = Species)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)



# -------- Olfactory Lamellae vs Olfactory length
ggplot(sex.dim.spread, aes(x = Left.Organ.Lamellae, y = Left.Organ.length..mm., color = Species, group = Species)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA)



#Sex by species
ggplot(low_int, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

modelsize.Lam.Li <- lm(Left.Organ.Lamellae ~ SL..mm., low_int)
summary(modelsize.Lam.Li)

modelsize.Lam.Lt <- lm(Left.Organ.Lamellae ~ SL..mm., Low_ter)
summary(modelsize.Lam.Lt)

ggplot(Low_rar, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

modelsize.Lam.Lr <- lm(Left.Organ.Lamellae ~ SL..mm., Low_rar)
summary(modelsize.Lam.Lr)

ggplot(Cte_Phe, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

modelsize.Lam.Cp <- lm(Left.Organ.Lamellae ~ SL..mm., Cte_Phe)
summary(modelsize.Lam.Cp)

ggplot(Tar_cren, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

modelsize.Lam.Tc <- lm(Left.Organ.Lamellae ~ SL..mm., Tar_cren)
summary(modelsize.Lam.Tc)

ggplot(Tar_tay, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)

modelsize.Lam.Tt <- lm(Left.Organ.Lamellae ~ SL..mm., Tar_tay)
summary(modelsize.Lam.Tt)

ggplot(Low_ter, aes(x = SL..mm., y = Left.Organ.Lamellae, color = Sex, group = Sex)) +
  geom_point() + theme(axis.line = element_line(colour = "black"), panel.grid.major = element_blank(),panel.grid.minor = element_blank(), panel.border = element_blank(), panel.background = element_blank()) +
  geom_smooth(method = "lm", fill = NA) + guides(color = FALSE)


model.Lam.Lr <- aov(Left.Organ.Lamellae )

# ------ testing for differences in body size, males and females different species of Loweina ------

t.test(Low_rar$SL..mm. ~ Low_rar$Sex)
t.test(low_int$SL..mm. ~ low_int$Sex)
